%define upstream_name    Authen-Bitcard
%define upstream_version 0.90

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Bitcard authentication verification
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Authen/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::ErrorHandler)
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(HTTP::Status)
BuildRequires: perl(JSON)
BuildRequires: perl(LWP::Protocol::https)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Math::BigInt)
BuildRequires: perl(Test::More)
BuildRequires: perl(URI)
BuildArch: noarch

%description
_Authen::Bitcard_ is an implementation of verification for signatures
generated by Bitcard authentication. For information on the Bitcard
protocol and using Bitcard in other applications, see
_http://www.bitcard.org/api_.

The module and the protocol are heavily based on _Authen::Typekey_. (In
fact, the Bitcard authentication server also supports the TypeKey API!)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc README Changes LICENSE META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.900.0-3.mga6
+ Revision: 1022606
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 0.900.0-2.mga6
+ Revision: 935190
- Mageia 6 Mass Rebuild

* Thu Oct 16 2014 shlomif <shlomif> 0.900.0-1.mga5
+ Revision: 762266
- imported package perl-Authen-Bitcard


* Thu Oct 16 2014 cpan2dist 0.90-1mga
- initial mageia release, generated with cpan2dist
